import request from '@/utils/request'

// 获取SAI执行人列表
export function listSaiInspectors() {
  return request({
    url: '/plant/staffmgr/listSaiInspectors',
    method: 'get',
  })
}

// 获取SAI整改负责人列表
export function listSaiExecutors() {
  return request({
    url: '/plant/staffmgr/listSaiExecutors',
    method: 'get',
  })
}

// 获取当前登录员工信息
export function getLoginStaffInfo() {
  return request({
    url: '/plant/staffmgr/loginStaffInfo',
    method: 'get'
  })
}

// 获取当前用户id
export function getStaffId() {
  return request({
    url: '/plant/staffmgr/getStaffId',
    method: 'get',
  })
}

// 判断当前用户是否为导师
export function isMentor() {
  return request({
    url: '/plant/staffmgr/isMentor',
    method: 'get',
  })
}

// 查询导师下拉列表
export function listMentors2(query) {
  return request({
    url: '/plant/staffmgr/listMentors',
    method: 'get',
    params: query
  })
}

// 查询人员管理列表
export function listStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/list',
    method: 'get',
    params: query
  })
}
export function listAllStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/getAllList',
    method: 'get',
    params: query
  })
}
export function listStaffmgrByDeptAndTeam(query) {
  return request({
    url: '/plant/staffmgr/listByDeptAndTeam',
    method: 'get',
    params: query
  })
}

// 查询人员管理列表
export function listStaffmgrAll(query) {
  return request({
    url: '/plant/staffmgr/listAll',
    method: 'get',
    params: query
  })
}

// 查询人员公司级培训时间列表
export function selectTimeStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/selectTime',
    method: 'get',
    params: query
  })
}

export function selectAverageAge(query) {
  return request({
    url: '/plant/staffmgr/averageAge',
    method: 'get',
    params: query
  })
}

// 查询组织架构人员管理列表
export function listOgzStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/ogzList',
    method: 'get',
    params: query
  })
}

// 上级领导字段查询人员管理列表
export function listpIdStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/pIdList',
    method: 'get',
    params: query
  })
}

// 查询离职人员管理列表
export function listLeftStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/leftList',
    method: 'get',
    params: query
  })
}

// 学历统计
export function eduData(query) {
  return request({
    url: '/plant/staffmgr/eduData',
    method: 'get',
    params: query
  })
}

// 英语统计
export function engData(query) {
  return request({
    url: '/plant/staffmgr/engData',
    method: 'get',
    params: query
  })
}

// 年龄统计
export function ageData(query) {
  return request({
    url: '/plant/staffmgr/ageData',
    method: 'get',
    params: query
  })
}

// 英语统计
export function teamData(query) {
  return request({
    url: '/plant/staffmgr/teamData',
    method: 'get',
    params: query
  })
}

// 查询人员管理详细
export function getStaffmgr(id) {
  return request({
    url: '/plant/staffmgr/' + id,
    method: 'get'
  })
}

export function getStaffmgrByStaffid(id) {
  return request({
    url: '/plant/staffmgr/staffid/' + id,
    method: 'get'
  })
}

// 删除人员管理
export function selectByStaffId(staffIds) {
  return request({
    url: '/plant/staffmgr/byStaffId/' + staffIds,
    method: 'get',
  })
}

// 新增人员管理
export function addStaffmgr(data) {
  return request({
    url: '/plant/staffmgr',
    method: 'post',
    data: data
  })
}

// 修改人员管理
export function updateStaffmgr(data) {
  return request({
    url: '/plant/staffmgr',
    method: 'put',
    data: data
  })
}

// 删除人员管理
export function delStaffmgr(id) {
  return request({
    url: '/plant/staffmgr/' + id,
    method: 'delete',
  })
}

// 删除离职人员管理
export function delLeftStaffmgr(id) {
  return request({
    url: '/plant/staffmgr/left/' + id,
    method: 'get',
  })
}

// 删除退休人员管理
export function delRetireStaffmgr(id) {
  return request({
    url: '/plant/staffmgr/retire/' + id,
    method: 'get',
  })
}

// 复职人员管理
export function reLeftStaffmgr(id) {
  return request({
    url: '/plant/staffmgr/reLeft/' + id,
    method: 'get',
  })
}
// 导出人员管理
export function exportStaffmgr(query) {
  return request({
    url: '/plant/staffmgr/export',
    method: 'get',
    params: query
  })
}
